package com.hzs.sale.product.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.sale.product.BdProductExtend;

/**
 * <p>
 * 商品拓展表 服务类
 * </p>
 *
 * @author hzs
 * @since 2022-09-01
 */
public interface IBdProductExtendService extends IService<BdProductExtend> {

    /**
        根据产品id查询产品拓展
     * @param productId
     * @return
     */
    public BdProductExtend getProductExtend(Integer productId);

    /**
     * 根据产品id 查找当前商品的上一位商品排序
     * @param productId
     * @return
     */
    Integer selectByMoveUpSort(Integer productId);

    /**
     * 大于传入编号的全部上移1
     * @param sort
     */
    void updateMoveUpBySort(Integer sort);

    /**
     * 根据id 查询当前商品的下一位商品排序
     * @param productId
     * @return
     */
    Integer selectByMoveDownSort(Integer productId);
    /**
     * 大于传入编号的全部下移1
     * @param sort
     */
    void updateMoveDownBySort(Integer sort);

    /**
     * 查询排序最大值
     * @return
     */
    Integer getMaxProductSort();


}
